//******************************************************************
/* TESTING the Streaming.h library * F1FWG modified
The result is :

This is an example of the new streaming
library.  This allows you to print variables
and strings without having to type many line after
line of Serial.print() calls.  Examples: 
A is .65.
A is 41 in _HEX 
A is 65 in _DEC 
A is 122 in _BASED( ,7) 
A is A in _BYTE_CODE 
_FLOAT =1.235=1.2345678=
_FILL('*',5) *****
_FILL('*',10) **********
_FILL('*',4) ****
_FILL('*',6) ******
_FILL('*',8) ********
_FILL('*',12) ************
_FILL('*',6) ******
_FILL('*',5) *****
_FILL('*',3) ***
_FILL('*',2) **
Date 7/29/13.
_DATE 07/29/13
_TIME 09:07:13
_DATE _TIME 07/29/13 09:07:13
0.518 seconds since startup
11.659 seconds since startup
22.771 seconds since startup
...
*/
//******************************************************************

#include <Streaming.h>

void setup()
{
  Serial.begin(9600);
  
  Serial << "This is an example of the new streaming" << endl;
  Serial << "library.  This allows you to print variables" << endl;
  Serial << "and strings without having to type many line after" << endl;
  Serial << "line of Serial.print() calls.  Examples: " << endl;
  
//******************
int lettera = 'A';
  Serial << "A is ." << lettera << "." << endl;
  Serial << _BYTE(lettera) << " is " << _HEX(lettera) << " in _HEX " << endl;
  Serial << _BYTE(lettera) << " is " << _DEC(lettera) << " in _DEC " << endl;
  Serial << _BYTE(lettera) << " is " << _BASED(lettera,7) << " in _BASED( ,7) " << endl;
  Serial << _BYTE(lettera) << " is " << _BYTE_CODE(lettera) << " in _BYTE_CODE " << endl;

//******************
float value = 1.23456789;
  Serial << "_FLOAT =" << _FLOAT(value, 3) << "=" << _FLOAT(value, 7) << "=" << endl;

//******************************************************************
// Ajouts F1FWG selon http://arduiniana.org/libraries/streaming/

int table[10] = {5,10,4,6,8,12,6,5,3,2};
for (int i=0; i<10; i++) {
  Serial << "_FILL('*'," << table[i] << ") " << _FILL('*', table[i]) << endl;
}

int monthx= 29, dayx = 07, yearx = 13;
  Serial << "Date " << dayx << "/" << monthx << "/" << yearx << "." << endl;
  Serial << "_DATE " << _DATE(dayx,monthx,yearx) << endl;

int hr = 9, mn = 7, se = 13;
  Serial << "_TIME " << _TIME(hr,mn,se) << endl;

  Serial << "_DATE _TIME " << _DATE(dayx,monthx,yearx) << " " << _TIME(hr,mn,se) << endl;


}  // end of setup

 
//******************************************************************
void loop() {
  Serial << _FLOAT(millis()/1000., 3) << " seconds since startup" << endl; // precision = 3 digit
  delay(11111);
}  // end of loop
//******************************************************************







